<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>

	<!-- Semantic tags for code readability -->

	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<!-- first session -->
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code.</em></p>

			<!-- defines an HTML table -->
			<table border="1">
				<!-- used to group table header content -->
				<thead>
					<!-- defines a table row -->
					<tr>
						<!-- defines a table header element -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<!-- used to group table body content -->
				<tbody>
					<tr>
						<!-- table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>

					<tr>
						<!-- table data element -->
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>

					<tr>
						<!-- table data element -->
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>

					<tr>
						<!-- table data element -->
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>	

					<tr>
						<!-- table data element -->
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>

					<tr>
						<!-- table data element -->
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>

					<tr>
						<!-- table data element -->
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>lower tilder</td>
					</tr>

					<tr>
						<!-- table data element -->
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>upper tilder</td>
					</tr>

				<!-- used to group table footer content -->
				<tfoot>
					<th colspan="3">List of HTML Entities</th>
				</tfoot>


				</tbody>
			</table>

			

		</section>
		<!-- second section -->
		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form.</em></p>

			<form action="https://google.com">
				<!-- creates a label and allows for input field selection when clicked -->
				<label for="full_name">Full Name:</label><br>

				<!-- creates an input field to capture input -->
				<input type="text" name="full_name" id="full_name" required autocomplete><br>

				<label for="birth_date">Birth date:</label><br>
				<input type="date" name="birth_date" id="birth_date" required><br>

				<label for="age">Age:</label><br>
				<input type="number" name="age" id="age"><br>

				<label for="gender">Gender:</label><br>
				<!-- dropdown menu -->
				<select name="gender" id="gender">
					<!-- creates an option for the dropdown -->
					<option value="">-Select-</option>
					<option value="Male">Male</option>
					<option value="Female">Female</option>
				</select><br>

				<label for="notes">Notes:</label><br>
				<!-- creates a larger input field -->
				<textarea name="notes" id="notes" rows="5"></textarea><br>

				<!-- radio button  -->
				<label>New User:</label><br>

				<!-- name attributes should be the same for related radio buttons-->
				<input type="radio" name="new_user" id="user_type1" value="yes">
				<label for="user_type1">Yes</label><br>

				<input type="radio" name="new_user" id="user_type2" value="no">
				<label for="user_type2">No</label>

				<br><br>

				<!-- checkboxes -->
				<label>Role:</label><br>

				<!-- creates checkboxes for multiple choices -->

				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>
				
				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label>

				<br><br>

				<!-- creates a button that will submit the form data -->
				<button type="submit">Submit</button><br>
				<!-- creates a button to reset form data -->
				<button type="reset">Reset</button>


				









			</form>

		</section>

	</main>

</body>
</html>